#ifndef __ANALOG_INPUT_H
#define __ANALOG_INPUT_H

#include <stdbool.h>


// Режим измерения (ток или напряжение)
typedef enum
{
    MEAS_VOLTAGE = 0,
    MEAS_CURRENT,  
    
} MEAS_CHAN_MODE_t;


typedef enum 
{
    MUX_301_CH = 0,
    AN_INP_1,
    AN_INP_2,
    AN_INP_3,
    AN_INP_4,
    AN_INP_5,
    AN_INP_6,
    V_ISO_CL,   // +24 V
    V_ISO,      // +5 V
    
    MUX_401_CH,
    AN_INP_7,
    AN_INP_8,
    AN_INP_9,
    AN_INP_10,
    AN_INP_11,
    AN_INP_12,
    CRNT_LIM_U_BFR_R,
    CRNT_LIM_U_ABFR_R
    
} ANALOG_IN_t;


//
void ai_connect_channel(uint8_t channel);

//
void ai_set_mode(MEAS_CHAN_MODE_t mode, uint8_t channel);

//
void ai_connect_test(void);

//
void ai_mode_test(void);

#endif  // __ANALOG_INPUT_H

